Subject: RE: X11R6.3 and Gnu-win32 B18
From: [email-masked] (Sergey Okhapkin)

13 May 1997 20:58:07 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Cygnus Gnu-win32 <[email-masked]>,
        David Coe
	 <[email-masked]>,
        "'Colman Curtin'" <[email-masked]>
Encoding: 61 TEXT
Original-Sender: [email-masked]

Colman Curtin wrote:
>
>
> >Alas, the Gnu-win32 X11R6.3 libraries on
> >ftp://niteroi.gsfc.nasa.gov/pub/win32/X11R6.3/
> >now seem not to be compatible with Beta 18. Geoffrey's new install
>
> >Does anyone else see this?
>
> yes me too. I assume the dlls have to be rebuilt with b18.
> I had previously tried building the X11 libs on 17 but kept getting 
stuck.
> maybe I'll try again with 18, if I get time......
>

I didn't try to rebuild X11R6.3 with B18 yet, but due to moving _reent_data 
to cygwin.dll, rule for junk.c in config/cf/cygwin32.rules must begin with

junk.c: 
                                                                   @@\
	echo "#include <windows.h>"                     >junk.c 
                @@\
	echo "#include <stdio.h>"                       >>junk.c 
               @@\
	echo "int _fmode;"                              >>junk.c 
               @@\
	echo "extern struct _reent *_impure_ptr, *__imp_reent_data;" >>junk.c 
  @@\
	echo "int WINAPI dll_main(HANDLE a, DWORD reason, void *q)" >>junk.c 
   @@\
	echo "{ switch (reason){"                       >>junk.c 
               @@\
	echo "   case DLL_PROCESS_ATTACH: break;"       >>junk.c 
               @@\
	echo "   case DLL_PROCESS_DETACH: break;"       >>junk.c 
               @@\
	echo "   case DLL_THREAD_ATTACH:  break;"       >>junk.c 
               @@\
	echo "   case DLL_THREAD_DETACH:  break;"       >>junk.c 
               @@\
	echo "  };"                                     >>junk.c 
               @@\
	echo " _impure_ptr=__imp_reent_data;"           >>junk.c 
               @@\
	echo " return 1;"                               >>junk.c 
               @@\
	echo "}"                                        >>junk.c 
               @@\
	echo "main(){}"                                 >>junk.c 
               @@\
Concat3(lib,libname,.dll): solist junk.o libname.def 
                      @@\
	RemoveFile(LibraryTargetName(libname))                                   
 @@\
.......

--
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".